Bug Hunting Session
Bug 102008 - Inconsistent node composition in formula editor when entering functions from the Elements sidebar
Summary: Inconsistent node composition in formula editor when entering functions from ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Formula-Editor Elements-Pane
  Show dependency treegraph
 
Reported: 2016-09-09 04:53 UTC by
Modified: 2016-11-11 05:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description 2016-09-09 04:53:48 UTC
If entering a function over the sidebar you usually get "func{<?>}" (without whitespace). For example:

abs{<?>}, sqrt{<?>}, etc.

Only when entering "Factorial" over the sidebar, you get "fact {<?>}" (with whitespace). I think this should be changed in "fact{<?>}" for consistency reasons.
Comment 1 V Stuart Foote 2016-09-09 13:28:21 UTC
Confirmed the function strings are composed inconsistently into the formula editor when entering function from the "Elements" sidebar.
Comment 2 V Stuart Foote 2016-09-09 13:38:17 UTC
This issue came in with OOo and is not only from the Elements sidebar dock introduced at 4.1, but also is present in the original floating elements dialog.
Comment 3 Commit Notification 2016-11-05 02:01:27 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6984fd5a756f1e01e94da14f01df5a0e20791630

tdf#102008 Drop whitespace between "fact" and brace

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.